Bug 196086 - wireless association fails with NetworkManager, ipw2200, and wpa-psk
wireless association fails with NetworkManager, ipw2200, and wpa-psk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks: 196349
  Show dependency treegraph
 
Reported: 2006-06-20 17:11 EDT by Matthew Andrews
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages entry for NetworkManager backtrace (13.45 KB, text/plain)
2006-06-20 17:11 EDT, Matthew Andrews
no flags Details

  None (edit)
Description Matthew Andrews 2006-06-20 17:11:41 EDT
Description of problem:
Attempting to associate with a "hidden" Cisco Aironet1100 AP using wpa2-psk fails.

Version-Release number of selected component (if applicable):

wpa_supplicant-0.4.8-10.fc5
NetworkManager-0.6.2-2.fc5
kernel-2.6.16-1.2133_FC5

How reproducible:
attempt to associate with a Cisco AP with a hidden ssid, and configured to use
wpa2-psk and the AES-CCMP cipher suite.


Steps to Reproduce:
1.Select NetworkManager-> Connect To other Wireless Network
2.enter network name
3.select WPA2 Personal
4.enter passphrase
5.select Type:AES-CCMP
6.press "Connect"

Actual results:
NetworkManager fails to connect, and logs the following in /var/log/messages:
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
Trying to associate with SSID 'wpa-psk' 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
Cancelling scan request 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
WPA: clearing own WPA/RSN IE 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
Automatic auth_alg selection: 0x1 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
WPA: No WPA/RSN IE available from association info 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
WPA: Set cipher suites based on configuration 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
WPA: Selected cipher suites: group 16 pairwise 16 key_mgmt 2 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
WPA: clearing AP WPA IE 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
WPA: clearing AP RSN IE 
Jun 20 13:47:08 dhcp62-19 NetworkManager: <information> wpa_supplicant(3583):
WPA: using GTK CCMP 
Jun 20 13:47:47 dhcp62-19 NetworkManager: <information> Activation
(eth1/wireless): association took too long (>40s), failing activation.


Expected results:
machine associates with wireless network

Additional info:
After much futzing with this, NetworkManager crashed leaving a backtrace in
/var/log/messages(attached)(I'm not sure this is related to the association problem)

on my next attempt to connect, the association succeeded, and I got a DHCP
lease, and was able to use the network. subsequent attempts to associate with
the network then continue to fail. after restarting the NetworkManager, and
NetworkManagerDispatcher services, I am sometimes able to connect, but after
that subsequent attempts all fail until the next time I restart the
NetworkManager service.
Comment 1 Matthew Andrews 2006-06-20 17:11:41 EDT
Created attachment 131229 [details]
/var/log/messages entry for NetworkManager backtrace
Comment 2 Dan Williams 2006-07-09 19:44:19 EDT
The crash is likely the fault of a known bug in dbus; the other problem is
probably a bug in NM or wpa_supplicant that we'll have to ferret out.
Comment 4 Adam 2007-02-23 11:57:10 EST
I have a similar problem. wpa_supplicant fails to connect to my local WiFi WAP
(WPA-TSK encrytpion) if the SSID is hidden. It works fine if SSID is visible.
Specifying BSSID doesn't help.  

Here's my wpa_supplicant.conf, the #'d lines I have tried with and without. But,
in any case they work fine when the SSID is not hidden:

ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel

#
# WMG5 network
#
network={
bssid=00:0d:54:9c:d3:8a
ssid="my_SSID"
scan_ssid=1
key_mgmt=WPA-PSK
proto=WPA
psk="my_passphrase"
#pairwise=TKIP
#group=TKIP
}
Comment 5 Dan Williams 2008-04-03 12:05:28 EDT
Is this still an issue with F7 and later?  Hidden SSID support is greatly
improved with NetworkManager >= 0.6.6
Comment 6 Bug Zapper 2008-04-03 23:07:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:01:29 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.